def ordre_realisation(graphe):
    n = len(graphe)
    ouverts = [False for i in range(n)]
    fermes = [False for i in range(n)]
    ordre = Pile()
    ok = True
    s = 0
    while (ok and s < n):
        ok = mystere(graphe, s, n, ouverts, fermes, ordre)
        s = s + 1
    if ok:
        return ordre
    return None